Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CentOS: Security Advisory for firefox (CESA-2021:5014)

Information

Severity

Severity

Medium

Family

Family

CentOS Local Security Checks

CVSSv2 Base

CVSSv2 Base

6.8

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

10 months ago

Modified

Modified

10 months ago

Summary

The remote host is missing an update for the 'firefox' package(s) announced via the CESA-2021:5014 advisory.

Insight

Insight

Mozilla Firefox is an open-source web browser, designed for standards compliance, performance, and portability. This update upgrades Firefox to version 91.4.0 ESR. Security Fix(es): * Mozilla: Memory safety bugs fixed in Firefox 95 and Firefox ESR 91.4 * Mozilla: URL leakage when navigating while executing asynchronous function (CVE-2021-43536) * Mozilla: Heap buffer overflow when using structured clone (CVE-2021-43537) * Mozilla: Missing fullscreen and pointer lock notification when requesting both (CVE-2021-43538) * Mozilla: GC rooting failure when calling wasm instance methods (CVE-2021-43539) * Mozilla: External protocol handler parameters were unescaped (CVE-2021-43541) * Mozilla: XMLHttpRequest error codes could have leaked the existence of an external protocol handler (CVE-2021-43542) * Mozilla: Bypass of CSP sandbox directive when embedding (CVE-2021-43543) * Mozilla: Denial of Service when using the Location API in a loop (CVE-2021-43545) * Mozilla: Cursor spoofing could overlay user interface when native cursor is zoomed (CVE-2021-43546) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Affected Software

Affected Software

'firefox' package(s) on CentOS 7.

Detection Method

Detection Method

Checks if a vulnerable package version is present on the target host.

Solution

Solution

Please install the updated package(s).